> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove price adjustment from a cart

> Using this endpoint, you can remove a particular price adjustment from a list of price adjustments applied to a cart's total amount.



## OpenAPI

````yaml cart.openapi delete /v3/carts/{cartId}/adjustments/{adjustmentId}
openapi: 3.0.1
info:
  title: Cart
  description: >-
    fabric's **Cart API** lets you add, update, and remove items from your
    Storefront cart, either as a guest user or as a logged-in user. It also
    provides functionality to merge carts when you switch from guest user to
    logged-in user, and apply coupons and other attributes (for example, gift
    wrapping) to the line items. Additionally, the API supports more advanced
    tasks such as using multiple carts within a B2B organization, sharing carts,
    and supporting a unified cart experience for multi-region and multi-brand
    businesses. The Cart API provides high performance, scalability,
    multi-tenancy, and configurability to the end-to-end order processing
    actions that start from an item being added to the cart; through the
    pre-checkout stage that includes billing, shipping, and payment details; to
    the checkout stage where the order is processed and confirmed by fabric's
    Order Management System (OMS).
  version: 3.0.0
  x-audience: external-public
  contact:
    name: Cart Support
    email: support.cnc@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
servers:
  - url: https://api.fabric.inc/v3
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Carts
    description: >-
      Carts endpoints let you perform basic cart operations, including finding,
      creating, updating, and merging carts. You can also apply or remove a
      promotion code to or from a cart.
  - name: Line Items
    description: >-
      Line Items endpoints let you perform basic line item operations, including
      creating, updating, and deleting line items in a cart. You can also get
      and update line item attributes and shipping details.
  - name: Shipping Details
    description: >-
      Shipping details endpoints let you get, create, and update cart shipping
      details.
  - name: Adjustments
    description: >-
      Using these endpoints, you can make adjustments to a cart or line items in
      a cart.
externalDocs:
  description: Find out more about Cart
  url: https://developer.fabric.inc/v3/reference/cart-getting-started
paths:
  /v3/carts/{cartId}/adjustments/{adjustmentId}:
    delete:
      tags:
        - Adjustments
      summary: Remove price adjustment from a cart
      description: >-
        Using this endpoint, you can remove a particular price adjustment from a
        list of price adjustments applied to a cart's total amount.
      operationId: removeCartPriceAdjustment
      parameters:
        - $ref: '#/components/parameters/cartId'
        - $ref: '#/components/parameters/adjustmentId'
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xFabricRequestId'
      responses:
        '204':
          description: No Content
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestId'
        '400':
          description: Client error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error400'
        '401':
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error401'
        '404':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/cartNotFound'
                  - $ref: '#/components/schemas/adjustmentNotFound'
          description: Not found
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestId'
        '409':
          description: Conflict
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error409'
        '500':
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error500'
components:
  parameters:
    cartId:
      name: cartId
      in: path
      description: Cart ID
      required: true
      schema:
        type: string
        example: b8a64b52-dab4-8137-8d6a-f2c2337abc1
    adjustmentId:
      name: adjustmentId
      in: path
      description: Price adjustment identifier
      required: true
      schema:
        type: string
        example: d7e78a21-bee3-4448-bf1c-d5b5461dbda2
    xFabricTenantId:
      in: header
      name: x-fabric-tenant-id
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      schema:
        type: string
      example: 617329dfd5288b0011332311
      required: true
    xFabricChannelId:
      in: header
      name: x-fabric-channel-id
      description: >-
        x-fabric-channel-id identifies the sales channel where the API request
        is being made; primarily for multichannel use cases. The channel ids are
        12 corresponding to US and 13 corresponding to Canada. The default
        channel id is 12. This field is required.
      schema:
        type: string
      example: '12'
      required: false
    xFabricRequestId:
      in: header
      name: x-fabric-request-id
      description: Unique request ID
      schema:
        type: string
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
  headers:
    xFabricRequestId:
      description: Unique request ID
      schema:
        type: string
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
  schemas:
    error400:
      type: object
      description: Bad request error
      properties:
        type:
          description: Error code
          type: string
          example: BAD_REQUEST
        message:
          description: Error description
          type: string
          example: Bad Request
    error401:
      type: object
      description: Unauthorized
      properties:
        type:
          description: Error code
          type: string
          example: UNAUTHORIZED
        message:
          description: Error description
          type: string
          example: Unauthorized User
    cartNotFound:
      type: object
      description: Cart not found error
      properties:
        type:
          description: Error code
          type: string
          example: NOT_FOUND
        message:
          description: Error description
          type: string
          example: Cart not found
    adjustmentNotFound:
      type: object
      description: Price adjustment not found error
      properties:
        type:
          description: Error code
          type: string
          example: NOT_FOUND
        message:
          description: Error description
          type: string
          example: >-
            Price Adjustment was not found with id:
            dd23f254-ba28-420c-8dad-fe2f4477fe68
    error409:
      type: object
      description: Request conflict error
      properties:
        type:
          description: Error code
          example: CONFLICT
          type: string
        message:
          description: Error description
          example: Source was modified while the request was being processed
          type: string
    error500:
      type: object
      description: Internal server error
      properties:
        type:
          description: Error code
          type: string
          example: INTERNAL_SERVER_ERROR
        message:
          description: Error description
          type: string
          example: Internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````